Fetch Gift Card Transaction History

​

Returns the transaction history of a specified gift card. If the fetch gift card history feature is disabled for the brand in the Punchh platform, the API returns a 422 error. Contact your Punchh representative to update this Punchh platform configuration.

Path Parameters

  • Unique ID of the gift card issued by and maintained in the Punchh system

Headers

  • The signature for the API call

  • Used to authorize the request with access_token. It should be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • Advertises which content types the client is able to understand

  • Preferred language

  • Set this header to application/json.

  • Used to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.

Body

application/json
  • OAuth client ID provided by the business

Responses

  • application/json
  • Please turn on <config_key> in Mobile Configuration before performing this gift card action.

Request Example for get/api2/mobile/gift_cards/{uuid}/history
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/gift_cards/{uuid}/history' \
  --header 'x-pch-digest: {{$$.env.signature}}' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'Accept: application/json' \
  --header 'Accept-Language: en' \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
  --data '{
  "client": "CLIENT_GOES_HERE"
}'
[
  {
    "date": "2016-05-12T03:54:45-06:00",
    "event": "Reloaded",
    "description": null,
    "amount": "$10.00",
    "balance": "$10.00",
    "event_type": "reloaded"
  },
  {
    "date": "2016-05-12T04:43:12-06:00",
    "event": "Reloaded",
    "description": null,
    "amount": "$15.00",
    "balance": "$25.00",
    "event_type": "reloaded"
  },
  {
    "date": "2016-05-12T04:44:01-06:00",
    "event": "Reloaded",
    "description": null,
    "amount": "$17.00",
    "balance": "$42.00",
    "event_type": "reloaded"
  }
]